DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Checkout
  • Introduction
  • Getting Started
    • Create Account
    • Authentication & API Keys
    • Make your first API call
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
    • Get Bank List - FPX
    • Retrieve Payment Status
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
    • Unbind Token
    • Check Status
  • Notification
    • Overview
    • Setup Notification URL
    • Retry Notification
    • Sample Notification - Global
    • Sample Notification - Cards
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
    • Signature
      • Signature - Global
        • Signature
      • Signature - Cards Payment API
        • Signature Component from Request Header
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
  1. Checkout

Retrieve Checkout Status

GET
/v3/checkouts/{id}
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com
Hit Retrieve Checkout after 60 seconds after payment completion!
Please ensure your application is already hit after 60 seconds after payment completion.

Request

Path Params

Header Params

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "id": "8fdC56eo-cC99-46E1-B6AC-4asD8755B25C",
    "order": {
        "amount": 100.05,
        "invoice_number": "INV-20210231-0001",
        "currency": "MYR",
        "status": "PAID"
    },
    "payment": {
        "checkout_url": "https://sandbox.doku.com/checkout-link-v2/2ebffd22d23e436895ce5c38f7ddcf8620244712094712362",
        "channel": "EWALLET_TNG",
        "status": "SUCCESS",
        "state": "COMPLETED",
        "callback_url": "https://merchant.host/payment/callback"
    },
    "customer": {
        "id": "DOKU-CUST-001",
        "name": "John Doe",
        "email": "customer_email@test.com",
        "phone": "+60812345678",
        "country": "MY",
        "address": "Street 1"
    },
    "metadata": {
        "sample_key": "your value"
    }
}
Modified at 2026-07-01 07:02:47
Previous
Create Checkout
Next
Overview
Built with